Generate AI risk scores for multiple risks
POST
/v1/risks/scores
const url = 'https://api.adversarial.com/api/v1/risks/scores';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"risk_ids":[]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.adversarial.com/api/v1/risks/scores \ --header 'Content-Type: application/json' \ --data '{ "risk_ids": [] }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
risk_ids
Array<string>
Example
RSK-00001Responses
Section titled “Responses”Score many risks at once
Media typeapplication/json
This is the user-facing response for multiple risk scores.
object
failed
required
Array<integer>
succeeded
required
Array<object>
object
id
required
integer format: int64
impact
required
string
impact_reasoning
required
string
likelihood
required
string
likelihood_reasoning
required
string
threat_objectives
required
Array<object>
object
reasoning
required
string
relevance
required
Defines how relevant a threat objective is to a particular risk
string
threat_name
required
Identifies a specific threat objective
string
threat_objectives_reasoning
required
string
Example
{ "succeeded": [ { "impact": "Very Low", "likelihood": "Remote", "threat_objectives": [ { "relevance": "Moderate", "threat_name": "Sabotage" } ] } ]}